std::queue::empty(3)

NAME
std::queue::empty - std::queue::empty

Synopsis
   bool empty() const; (until C++20)
   [[nodiscard]] bool empty() const; (since C++20)
   Checks if the underlying container has no elements, i.e. whether c.empty().

Parameters
   (none)

Return value
   true if the underlying container is empty, false otherwise

Complexity
   Constant

Example
// Run this code
 #include <algorithm>
 #include <iostream>
 #include <queue>
 int main()
 {
     std::cout << std::boolalpha;
     std::queue<int> container;
     std::cout << "Initially, container.empty(): " << container.empty() << '\n';
     container.push(42);
     std::cout << "After adding elements, container.empty(): " << container.empty() << '\n';
 }

Output:
 Initially, container.empty(): true
 After adding elements, container.empty(): false

See also
   size returns the number of elements
        (public member function)